Denial of service in OpenStack Neutron



Published: 2021-09-08 | Updated: 2022-01-09
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2021-40797
CWE-ID CWE-400
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
openstack-neutron
Client/Desktop applications / Other client software

Vendor Openstack

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Resource exhaustion

EUVDB-ID: #VU59320

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-40797

CWE-ID: CWE-400 - Uncontrolled Resource Consumption ('Resource Exhaustion')

Exploit availability: No

Description

The vulnerability allows a remote user to perform a denial of service (DoS) attack.

The vulnerability exists due to application does not properly control consumption of internal resources when processing API calls to nonexistent controllers. A remote authenticated user can trigger resource exhaustion by sending multiple API calls and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

openstack-neutron: 18.0.0 - 18.1.0, 17.0.0 - 17.2.0, 16.0.0 - 16.4.0


CPE2.3 External links

http://launchpad.net/bugs/1942179
http://security.openstack.org/ossa/OSSA-2021-006.html
http://www.openwall.com/lists/oss-security/2021/09/09/2

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###